<div *ngIf="Promotions.length === 0"
     class="row no-gutters loading-promotion">
    <div class="col-12 d-flex justify-content-center align-items-center">
        <i class="fa fa-spinner fa-3x text-tw-white"></i>
    </div>
</div>
<div class="row no-gutters"
     *ngIf="Promotions && Promotions.length">
    <div class="col-12">
        <ngb-carousel dir="ltr">
            <ng-template ngbSlide
                         *ngFor="let item of Promotions">
                <div class="row no-gutters">
                    <div class=" col-12">
                        <img src="{{item.getImagePathLarge()}}"
                             alt="{{item.getTitle()}}"
                             title="{{item.getTitle()}}"
                             class="w-100 h-100 pointer no-outline">
                        <div class="countdown w-100 h-100 d-flex justify-content-center align-items-center"
                             *ngIf="item.getType() === 'c' && (item.getShowTime() | countdownTime) > 0">
                            <countdown [config]="{leftTime: item.getShowTime() | countdownTime}"
                                       *ngIf="(item.getShowTime() | countdownTime) > day_per_sec">$!d! $!h! $!m! $!s!
                            </countdown>
                            <countdown [config]="{leftTime: item.getShowTime() | countdownTime}"
                                       *ngIf="(item.getShowTime() | countdownTime) <= day_per_sec">$!h! $!m! $!s!
                            </countdown>
                        </div>
                        <div class="promotion-information direction-rtl">
                            <div class="row no-gutters h-100">
                                <div class="col-9 p-4">
                                    <div class="row no-gutters type">
                                        <span *ngIf="item.getType() === 's'">سریال تلویزیونی</span>
                                        <span *ngIf="item.getType() === 'e'">صفحه ویژه</span>
                                        <span *ngIf="item.getType() === 'p'">مجموعه تلویزیونی</span>
                                        <span *ngIf="item.getType() === 'c'">شمارش معکوس</span>
                                        <span *ngIf="item.getType() === 'k'">کارتون</span>
                                        <span *ngIf="item.getType() === 'm'">فیلم سینمایی</span>
                                    </div>
                                    <div class="row no-gutters title text-tw-red font-weight-bolder py-1">
                                        <div class="w-100 d-flex">
                                            <span class="text-nowrap"> {{item.getTitle()}} </span>
                                            <span class="d-flex text-truncate w-100"
                                                  *ngIf="item.getDescriptionEn()"> ({{item.getDescriptionEn()}}) </span>
                                        </div>
                                    </div>
                                    <div class="row no-gutters other">
                                        <span class="font-weight-light">{{item.getOccasion().split('/')[ 0 ]}}</span>
                                        <span class="px-2 font-weight-bold">{{item.getPlayTime().split('/')[ 0 ] | numberToPersian}}</span>
                                        <span class="font-weight-light">بر روی تلوبیون</span>
                                    </div>
                                </div>
                                <div class="col-3 d-flex align-items-center justify-content-end">
                                    <button class="btn btn-tw-red border-0 pl-0">
                                        <span class="badge badge-tw-white d-inline-flex justify-content-center align-items-center p-0">
                                            <i class="fa fa-play"></i>
                                        </span>
                                        <span class="px-3">تماشا کنید</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>
        </ngb-carousel>
    </div>
</div>
